import { Template } from "aws-cdk-lib/assertions";
import { App, ResourceEnvironment, Stack, Stage } from "aws-cdk-lib";
import { ExtendedApp } from "./aws-cdk/index";
export declare enum ResourceType {
    CODEPIPELINE = "AWS::CodePipeline::Pipeline",
    CLOUDWATCH_ALARM = "AWS::CloudWatch::Alarm",
    LAMBDA_FUNCTION = "AWS::Lambda::Function",
    DYNAMODB_TABLE = "AWS::DynamoDB::Table",
    SSM_PARAMETER = "AWS::SSM::Parameter"
}
export declare class TestHelper {
    static readonly DEFAULT_REGION = "us-east-2";
    static readonly DEFAULT_ACCOUNT = "100000000000";
    static app(): ExtendedApp;
    static stage(app?: App, id?: string): Stage;
    static stack(scope?: App | Stage, id?: string): Stack;
    static resolveTestFiles(childPath?: string): string;
    static logResources(template: Template, type: string | ResourceType, props?: any): void;
    static logTemplate(template: Template): void;
    static env(): ResourceEnvironment;
}
